Subject: RE: [External] : Re: bug#53202: 27.2; Shift + function key not recognized

From: Drew Adams <[email-masked]>
Date: Wed, 12 Jan 2022 15:46:23 +0000

> > emacs -Q
> >
> > (global-set-key (kbd "S-<f10>") 'forward-char)
> >
> > C-h w forward-char  ; Says it's bound to <S-f10>
> >
> > But Emacs doesn't recognize that key at all.  E.g. `C-h k' followed by
> > Shift with function-key <f10>: the key isn't recognized.
> 
> I cannot reproduce this.  I tried on 2 different Windows systems, both
> with Emacs 27 and Emacs 28, and they both recognize S-F10 fine; with
> the provided recipe, S-F10 moves point one character forward, as
> expected.

Good to know/hear.

> I suspect that your system has some system-wide customizations that
> steal this key.  Maybe try to use w32-register-hot-key to work around
> that.

I'm not aware of any such thing for my system, but
that doesn't mean there's no such thing going on.

I tried `w32-register-hot-key', but it had no effect
for S-F10.

I'm on Windows 10.  Were some of your tests on 10 also?

> > Is this a product bug?  A doc bug?  Neither?  Is it perhaps
> > platform-dependent?  I see this behavior also in older Emacs releases,
> > so it's not new.
> 
> If it's something specific to your Windows installation, it will most
> probably happen with any Emacs version.

Right.  It would be good to know whether this is
more general than just my Windows installation.